Skip to main content
GET
/
integration
/
{integrationId}
/
odoo-helpdesk
/
stages
List Odoo Helpdesk stages and return a suggested Wirespeed→stage mapping
curl --request GET \
  --url https://api.wirespeed.co/integration/{integrationId}/odoo-helpdesk/stages \
  --header 'Authorization: Bearer <token>'
{
  "stages": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "suggestedMapping": {},
  "hasDefaultStages": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Odoo Helpdesk integration ID

Query Parameters

database
string
required
teamId
string

Response

stages
object[]
required
suggestedMapping
object
required

Suggested mapping of Wirespeed status → Odoo Helpdesk stage ID

hasDefaultStages
boolean
required

True if the standard Odoo Helpdesk default stages (New, In Progress, Solved) were detected